Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RepMgrAckPolicy Property
DatabaseEnvironment Class See Also Send Feedback

Specify how master and client sites handle acknowledgment of replication messages which are necessary for "permanent" records. The current implementation requires all sites in a replication group configure the same acknowledgement policy.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public AckPolicy RepMgrAckPolicy { get; set; }

Visual Basic (Declaration)
    Public Property RepMgrAckPolicy As AckPolicy

Visual C++
    public:
    property AckPolicy^ RepMgrAckPolicy {
    	AckPolicy^ get ();
    	void set (AckPolicy^ value);
    }

# See Also

DatabaseEnvironment Class
BerkeleyDB Namespace
DatabaseEnvironment..::.RepAckTimeout